%define major     100
%define libname   %mklibname qb %{major}
%define develname %mklibname qb -d


Name:           libqb
Version:        2.0.6
Release:        %mkrel 1
Summary:        High performance client server library
Group:          System/Libraries
License:        LGPLv2+
URL:            https://github.com/ClusterLabs/libqb
Source0:        https://github.com/ClusterLabs/libqb/releases/download/v%{version}/%{name}-%{version}.tar.xz

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  doxygen
BuildRequires:  procps
BuildRequires:  pkgconfig(check)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(libsystemd)

%description
libqb is a library with the primary purpose of providing high performance
client server reusable features. It provides high performance logging,
tracing, ipc, and poll.

The initial features of libqb comes from the features of corosync that
were thought to useful to other projects.

%package -n %{libname}
Group:          System/Libraries
Summary:        Hight performance client server library

%description -n %{libname}
libqb is a library with the primary purpose of providing high performance
client server reusable features. It provides high performance logging,
tracing, ipc, and poll.

The initial features of libqb comes from the features of corosync that
were thought to useful to other projects.

%package -n %{develname}
Group:		Development/C
Summary:	Development files for libqb
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}

%description -n %{develname}
This package contains libraries and header files for developing applications
that use %{name}.

%package -n     doxygen2man
Summary:        Program to create nicely-formatted man pages from Doxygen XML files

%description -n doxygen2man
This package contains a program to create nicely-formatted man pages from Doxygen XML files

%prep
%autosetup -p1

%build
NOCONFIGURE=1 ./autogen.sh
%configure \
  --disable-static \
  --enable-systemd-journal \
  --with-socket-dir=%{_rundir}
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete
rm -rf %{buildroot}%{_docdir}/*

%files -n %{libname}
%doc ChangeLog
%license COPYING
%{_libdir}/libqb.so.%{major}{,.*}

%files -n %{develname}
%doc README.markdown ChangeLog
%{_sbindir}/qb-blackbox
%{_includedir}/qb/
%{_libdir}/libqb.so
%{_libdir}/pkgconfig/libqb.pc
%{_mandir}/man3/qb*.3*
%{_mandir}/man8/qb-blackbox.8*

%files -n doxygen2man
%{_bindir}/doxygen2man
%{_mandir}/man1/doxygen2man.1*


%changelog
* Tue Jan 17 2023 daviddavid <daviddavid> 2.0.6-1.mga9
+ Revision: 1934076
- new version: 2.0.6

* Sat Apr 02 2022 umeabot <umeabot> 2.0.4-2.mga9
+ Revision: 1840526
- Mageia 9 Mass Rebuild

* Fri Jan 14 2022 mrambo3501 <mrambo3501> 2.0.4-1.mga9
+ Revision: 1768344
- version 2.0.4

* Fri Jul 16 2021 wally <wally> 2.0.3-2.mga9
+ Revision: 1736250
- use /run as socket directory instead of /var/run
- enable support for systemd journal logging
- fix doxygen2man requires

* Mon Jul 05 2021 joequant <joequant> 2.0.3-1.mga9
+ Revision: 1734917
- add xml requires
- update to 2.0.3

* Thu Feb 20 2020 umeabot <umeabot> 1.0.5-3.mga8
+ Revision: 1545572
- Mageia 8 Mass Rebuild

* Wed Jan 29 2020 daviddavid <daviddavid> 1.0.5-2.mga8
+ Revision: 1484853
- devel library should be a symlink

* Thu Jan 23 2020 daviddavid <daviddavid> 1.0.5-1.mga8
+ Revision: 1482377
- new version: 1.0.5, fixes CVE-2019-12779 (mga#25751)
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.16.0-6.mga7
+ Revision: 1299107
- Mageia 7 Mass Rebuild

* Thu Feb 11 2016 umeabot <umeabot> 0.16.0-5.mga6
+ Revision: 955727
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.16.0-4.mga5
+ Revision: 739951
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.16.0-3.mga5
+ Revision: 681731
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 0.16.0-2.mga4
+ Revision: 536939
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 boklm <boklm> 0.16.0-1.mga4
+ Revision: 485978
- Version 0.16.0

* Sat Jan 12 2013 umeabot <umeabot> 0.14.3-2.mga3
+ Revision: 358028
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 ennael <ennael> 0.14.3-1.mga3
+ Revision: 343933
- new version 0.14.3

* Tue Apr 10 2012 boklm <boklm> 0.11.1-1.mga2
+ Revision: 230128
- fix release tag
- fix package names
- update description
- version 0.11.1
- imported package libqb


* Thu Feb 09 2012 Anton Kirilenko <anton.kirilenko@rosalab.ru> 0.10.0-0
+ Revision: 772333
- new upstream version

* Wed Jan 11 2012 Anton Kirilenko <anton.kirilenko@rosalab.ru> 0.8.1-1.14
+ Revision: 759702
- New upstream release: updated to 0.8.1

* Wed Dec 14 2011 Anton Kirilenko <anton.kirilenko@rosalab.ru> 0.7.0-1.13
+ Revision: 741160
- Initial package
- Created package structure for libqb.

